#include "stdafx.h"

OPENFILENAME ofn;


void FileInitialize ()
{
	memset(&ofn, 0, sizeof(OPENFILENAME));
    ofn.lStructSize       = sizeof (OPENFILENAME);

	ofn.hwndOwner         = NULL;
    ofn.hInstance         = NULL;
    ofn.lpstrFilter       = NULL;
    ofn.lpstrCustomFilter = NULL;
    ofn.nMaxCustFilter    = 0;
    ofn.nFilterIndex      = 0;
    ofn.lpstrFile         = NULL;          // Set in Open and Close functions
    ofn.nMaxFile          = MAX_PATH;
    ofn.lpstrFileTitle    = NULL;          // Set in Open and Close functions
    ofn.nMaxFileTitle     = MAX_PATH;
    ofn.lpstrInitialDir   = NULL;
    ofn.lpstrTitle        = NULL;
    ofn.nFileOffset       = 0;
    ofn.nFileExtension    = 0;
    ofn.lpstrDefExt       = _T("*.*");
    ofn.lCustData         = 0;
    ofn.lpfnHook          = NULL;
    ofn.lpTemplateName    = NULL;
	ofn.lpstrFileTitle    = NULL;
	ofn.Flags             = OFN_HIDEREADONLY;
	
}


BOOL FileOpenDlg (PTSTR pstrFileName)
{
    FileInitialize();
	
    ofn.lpstrFile         = pstrFileName;
	ofn.lpstrFile[0] = _T('\0');
	
    if (GetOpenFileName (&ofn))
	{
		return TRUE;
	}
	else
	{
		printf("error of %d\n", GetLastError());
		return FALSE;
	}
}

